License issue with Sanderling v2017-11-19

eve-online

#1

o/

Since yesterday, my Sanderling v2017-11-19 fails to connect to license server

(500) Internal server Error (Erreur interne du serveur)
failed to establish session

I didn’t do any modification on anything. Everithing was ok on 2019-01-10.
Any advice?
Thanks by advance.

Fly safe, bot with parsimony :slight_smile:


#2

Just tested with version 2018-12-06: That worked, so you can use that one. You can download it from https://github.com/Arcitectus/Sanderling/releases/download/v2018-12-06/2018-12-06.Sanderling.exe

If you see any problem with version 2018-12-06, let me know.


#3

Hi,
I m experiencing the same issues with:
17.05.18
2018.04.04

Did you stopped supporting the old Sanderling licencing?

The link provided is for the newer licence version.


#4

i get the same issue … if this one isn’t supported then i guess the project is no longer free?


#5

Same here. I hope you continue allowing the old versions


#6

No need to use those, there is a new version you can download from https://github.com/Arcitectus/Sanderling/releases/download/v2018-12-06/2018-12-06.Sanderling.exe

If you see any problem with version 2018-12-06, I will look into it.

Ok, so lets look at the older version v2018-07-30. I just tested and that one worked. Do you see a problem when using v2018-07-30?


#7

I have same issue as @Bitenbois. Was using 2017-11-19 for ages w/o any problems and it stopped working correctly on January 10th.

Vesrsion 2018-17-30 requires a key and when I try to auth at https://manage.botengine.org/ is gives me “Status Code: 404; Not Found” error.

Anyway, 2018-17-30 is not free. Does this means that only paid version works now or it’s just a temporary issue?


#8

Thanks Viir for your answers.

When trying to use v2018-07-30, I get

Failed to prepare the bot
Exceeded maximum supported bot size of 100000.

I’m at 98698 chars after deleting all my comments and a few unised functions.


#9

Evening!
The older versions were easier to deal with since it doesn’t requite any key to use.
Also the newer version required credits, although it seems to be free now since i couldn’t see anywhere to buy new credits and my balance is 0.
v2018-07-30 is working fine.


#10

Is this a new bot or file?
If this is not a new bot: Did you see this problem anytime in the last five months when using v2018-07-30?


#11

Yes, v2018-07-30 and v2018-12-06 require a key and credits.
You can get both key and credits at https://manage.botengine.org
In case there is a problem, let me know, I will look into it.


#12

Thank you for the report, I will look into that and get back to you.


#13

It’s the script I made on v2017-11-19 and I was using until 2019-01-10.


#14

@Svs, I fixed a bug which caused the “Status Code: 404; Not Found” error.

Login should now work at https://manage.botengine.org

Thank you again for notifying me.


#15

Yes, it’s working now, thanks!
However my 2nd question is still stays: is v2017-11-19 no longer supported or it’s just a temporary issue?


#16

Ok, in this case I recommend that you simply keep using v2018-07-30 for now.
v2018-07-30 is still supported, so there is no need to switch to a newer version.


#17

Thank you for the feedback.
v2017-11-19 is not supported anymore.